Bug 1492104 - [abrt] gdb-headless: memset(): gdb killed by signal 11
Summary: [abrt] gdb-headless: memset(): gdb killed by signal 11
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gdb
Version: 26
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Sergio Durigan Junior
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:bfccd36e02dab8c9b18e6b8cf73...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-09-15 13:19 UTC by Ondrej Majerech
Modified: 2018-05-29 12:12 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-29 12:12:10 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (92.60 KB, text/plain)
2017-09-15 13:20 UTC, Ondrej Majerech
no flags Details
File: cgroup (289 bytes, text/plain)
2017-09-15 13:20 UTC, Ondrej Majerech
no flags Details
File: core_backtrace (123.39 KB, text/plain)
2017-09-15 13:20 UTC, Ondrej Majerech
no flags Details
File: cpuinfo (1.50 KB, text/plain)
2017-09-15 13:20 UTC, Ondrej Majerech
no flags Details
File: dso_list (10.02 KB, text/plain)
2017-09-15 13:20 UTC, Ondrej Majerech
no flags Details
File: environ (1.38 KB, text/plain)
2017-09-15 13:20 UTC, Ondrej Majerech
no flags Details
File: exploitable (82 bytes, text/plain)
2017-09-15 13:20 UTC, Ondrej Majerech
no flags Details
File: limits (1.29 KB, text/plain)
2017-09-15 13:20 UTC, Ondrej Majerech
no flags Details
File: maps (35.13 KB, text/plain)
2017-09-15 13:20 UTC, Ondrej Majerech
no flags Details
File: open_fds (1.96 KB, text/plain)
2017-09-15 13:20 UTC, Ondrej Majerech
no flags Details
File: proc_pid_status (1.29 KB, text/plain)
2017-09-15 13:20 UTC, Ondrej Majerech
no flags Details
File: var_log_messages (234 bytes, text/plain)
2017-09-15 13:20 UTC, Ondrej Majerech
no flags Details

Description Ondrej Majerech 2017-09-15 13:19:58 UTC
Description of problem:
I was single-stepping through a program. One step command got me into the std::move implementation. After typing fini, GDB crashed. It happens reliably every time when stepping through the same program in the same way.

I'll see if I can make a simplified testcase whose debugging reproduces this bug.

Version-Release number of selected component:
gdb-headless-8.0.1-26.fc26

Additional info:
reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/bin/gdb -i=mi /home/oxyd/devel/wube/Factorio/bin/debug/factorio
crash_function: memset
executable:     /usr/libexec/gdb
journald_cursor: s=1cd1f9dce8f04ec8b4107813b1e95389;i=828f;b=4dba117df8814d849b1afa77dd81557d;m=afc87aae8;t=5593a17936fd0;x=31bb822b9f25761b
kernel:         4.12.11-300.fc26.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 0 (10 frames)
 #0 memset at /usr/include/bits/string3.h:90
 #1 GC_clear_stack_inner at misc.c:336
 #9 GC_clear_stack at misc.c:385
 #10 GC_generic_malloc_many at mallocx.c:365
 #11 GC_malloc_kind at thread_local_alloc.c:178
 #12 GC_malloc at malloc.c:290
 #13 scm_i_new_smob at smob.c:433
 #14 scm_new_smob at /usr/include/guile/2.0/libguile/smob.h:91
 #15 vlscm_make_value_smob at ../../gdb/guile/scm-value.c:221
 #16 vlscm_scm_from_value at ../../gdb/guile/scm-value.c:252

Comment 1 Ondrej Majerech 2017-09-15 13:20:04 UTC
Created attachment 1326468 [details]
File: backtrace

Comment 2 Ondrej Majerech 2017-09-15 13:20:06 UTC
Created attachment 1326469 [details]
File: cgroup

Comment 3 Ondrej Majerech 2017-09-15 13:20:08 UTC
Created attachment 1326470 [details]
File: core_backtrace

Comment 4 Ondrej Majerech 2017-09-15 13:20:09 UTC
Created attachment 1326471 [details]
File: cpuinfo

Comment 5 Ondrej Majerech 2017-09-15 13:20:11 UTC
Created attachment 1326472 [details]
File: dso_list

Comment 6 Ondrej Majerech 2017-09-15 13:20:13 UTC
Created attachment 1326473 [details]
File: environ

Comment 7 Ondrej Majerech 2017-09-15 13:20:15 UTC
Created attachment 1326474 [details]
File: exploitable

Comment 8 Ondrej Majerech 2017-09-15 13:20:16 UTC
Created attachment 1326475 [details]
File: limits

Comment 9 Ondrej Majerech 2017-09-15 13:20:18 UTC
Created attachment 1326476 [details]
File: maps

Comment 10 Ondrej Majerech 2017-09-15 13:20:20 UTC
Created attachment 1326477 [details]
File: open_fds

Comment 11 Ondrej Majerech 2017-09-15 13:20:21 UTC
Created attachment 1326478 [details]
File: proc_pid_status

Comment 12 Ondrej Majerech 2017-09-15 13:20:23 UTC
Created attachment 1326479 [details]
File: var_log_messages

Comment 13 Fedora End Of Life 2018-05-03 08:48:56 UTC
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 14 Fedora End Of Life 2018-05-29 12:12:10 UTC
Fedora 26 changed to end-of-life (EOL) status on 2018-05-29. Fedora 26
is no longer maintained, which means that it will not receive any
further security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.